#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
	
	int n,i,k,j,ono,onoi,br,max=0;

	printf("Unesi n\n");
	scanf("%d",&n);
	
	int a[n],b[n];
	
	for(i=0;i<n;i++)
	{
		scanf("%d",&a[i]);
	}
	
	for(i=0;i<n;i++)
	{
		scanf("%d",&b[i]);
	}
	
	for(k=0;k<n;k++)
	{
		ono=0;
		onoi=b[k];
		for(j=k;j<n;j++)
		{
			ono^=a[j];
			onoi&=b[j];
			br=ono*onoi;
			if(br>max)
			{
				max=br;
			}
		}
	}
	printf("%d",max);
	
	return 0;
}